- Home
- API Enriched
- Sites
- config
- Configure TGW Information.
Configure TGW Information.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/aws_tgw_site/example/set_tgw_info';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"direct_connect_info":{"asn":1,"direct_connect_gateway_id":"example","vgw_id":"example"},"name":"example","namespace":"example","tgw_info":{"private_ips":["example"],"public_ips":["example"],"subnet_ids":[{"az_name":"example","inside_subnet":{"az_name":"example","id":"example","ipv4_prefix":"example"},"inside_subnet_id":"example","outside_subnet":{"az_name":"example","id":"example","ipv4_prefix":"example"},"outside_subnet_id":"example","workload_subnet":{"az_name":"example","id":"example","ipv4_prefix":"example"},"workload_subnet_id":"example"}],"tgw_id":"example","vpc_id":"example","vpc_name":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/aws_tgw_site/example/set_tgw_info \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "direct_connect_info": { "asn": 1, "direct_connect_gateway_id": "example", "vgw_id": "example" }, "name": "example", "namespace": "example", "tgw_info": { "private_ips": [ "example" ], "public_ips": [ "example" ], "subnet_ids": [ { "az_name": "example", "inside_subnet": { "az_name": "example", "id": "example", "ipv4_prefix": "example" }, "inside_subnet_id": "example", "outside_subnet": { "az_name": "example", "id": "example", "ipv4_prefix": "example" }, "outside_subnet_id": "example", "workload_subnet": { "az_name": "example", "id": "example", "ipv4_prefix": "example" }, "workload_subnet_id": "example" } ], "tgw_id": "example", "vpc_id": "example", "vpc_name": "example" } }'Configure TGW Information like tgw-ID, F5 Distributed Cloud site’s VPC-ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for the object to be configured.
Name Name of the object to be configured.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to configure TGW Information.
object
object
The autonomous system (AS) number on the AWS side for Border Gateway Protocol (BGP) configuration.
DirectConnect Gateway ID Required: YES.
Virtual Private Gateway ID Required: YES.
Name of the object to be configured.
Namespace for the object to be configured.
object
AWS Private IPs used by the nodes Required: YES.
AWS Elastic IPs used by the nodes Required: YES.
AWS Subnet IDs used by F5 Distributed Cloud site
Required: YES.
AWS Subnet IDs used by F5 Distributed Cloud site.
object
AWS availability zone, must be consistent with the selected AWS region.
object
AWS availability zone, must be consistent with the selected AWS region. Required: YES.
Subnet ID
Subnet CIDR block. It has to be private address space. Required: YES.
Inside subnet ID used by F5 Distributed Cloud site.
object
AWS availability zone, must be consistent with the selected AWS region. Required: YES.
Subnet ID
Subnet CIDR block. It has to be private address space. Required: YES.
Outside subnet ID used by F5 Distributed Cloud site.
object
AWS availability zone, must be consistent with the selected AWS region. Required: YES.
Subnet ID
Subnet CIDR block. It has to be private address space. Required: YES.
Workload subnet ID used by F5 Distributed Cloud site.
TGW ID populated by AWS Required: YES.
VPC ID where the F5 Distributed Cloud site exists Required: YES.
VPC Name where the F5 Distributed Cloud site exists.
Examplegenerated
{ "direct_connect_info": { "asn": 1, "direct_connect_gateway_id": "example", "vgw_id": "example" }, "name": "example", "namespace": "example", "tgw_info": { "private_ips": [ "example" ], "public_ips": [ "example" ], "subnet_ids": [ { "az_name": "example", "inside_subnet": { "az_name": "example", "id": "example", "ipv4_prefix": "example" }, "inside_subnet_id": "example", "outside_subnet": { "az_name": "example", "id": "example", "ipv4_prefix": "example" }, "outside_subnet_id": "example", "workload_subnet": { "az_name": "example", "id": "example", "ipv4_prefix": "example" }, "workload_subnet_id": "example" } ], "tgw_id": "example", "vpc_id": "example", "vpc_name": "example" }}Responses
Section titled “Responses”A successful response.
Response to configure TGW info.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example